Update source settings
Update source settings. Manage only sources owned by this token on the current tenant.
/api/appstore/manage/sources/:source_idПараметри запиту
Всі параметри можуть бути передані через Query або тіло
| Параметр | Тип | Потрібні | Опис |
|---|---|---|---|
source_id | string | Потрібні | Source ID owned by this user on the current site Приклад: 12345678 |
name | string | Додатково | Source name, up to 100 characters Приклад: 我的软件源 |
message | string | Додатково | Source announcement Приклад: 欢迎使用 |
identifier | string | Додатково | Source identifier, up to 100 characters |
source_icon | string | Додатково | HTTP(S) URL of the source icon |
pay_url | string | Додатково | HTTP(S) URL of the payment page |
encrypt_enabled | integer | Додатково | Response encryption: 0=off, 1=on (default on when created) Приклад: 1 |
open_black | integer | Додатково | Auto-block devices used to add apps: 0/1 Приклад: 0 |
open_black2 | integer | Додатково | Auto-block cracking attempts: 0/1 Приклад: 0 |
health_alert | object | Додатково | Complete link-health alert configuration as a JSON object |
Відправити
| Параметр | Тип | Потрібні | Опис |
|---|---|---|---|
code | integer | Потрібні | 1 indicates success; otherwise a token, validation or source error code Приклад: 1 |
msg | string | Потрібні | Localized result message Приклад: 获取成功 |
time | integer | Потрібні | Unix timestamp in seconds |
data | object | Потрібні | Allowlisted fields visible to the source owner |
Коди помилок
101140001Мова відповіді
Налаштуйте мову відповіді API з заголовком X-Lang. Приклади коду нижче автоматично використовуйте мову поточного сайту.
X-Lang: ukzh, en, zh-TW, vi, ar, es, ruЗа підтримки X-Lang бере на себе пріоритет. Непідтримувані мови слідувати мовою сайту.
Приклади коду
curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678" \
-H "X-Lang: uk" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "我的软件源",
"message": "欢迎使用",
"identifier": "example_identifier",
"source_icon": "example_source_icon",
"pay_url": "example_pay_url",
"encrypt_enabled": 1,
"open_black": 0,
"open_black2": 0,
"health_alert": "example_health_alert"
}'Нотатки
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
- 只修改传入的字段;health_alert 作为完整对象整体替换。
Спробуйте в Консоль
Заповнювати параметри нижче і відправити запит на тест. Запити тільки перейти до цього API сайту; URL-адреса заблокована і не може бути змінена, і ваш поточний логін cookie включено.
https://testypro.iwai.cc/api/appstore/manage/sources/12345678Заблоковано на цей сайтSource ID owned by this user on the current site
Source name, up to 100 characters
Source announcement
Source identifier, up to 100 characters
HTTP(S) URL of the source icon
HTTP(S) URL of the payment page
Response encryption: 0=off, 1=on (default on when created)
Auto-block devices used to add apps: 0/1
Auto-block cracking attempts: 0/1
Complete link-health alert configuration as a JSON object